Package org.apache.sysds.hops.codegen.cplan

## Class CNodeTernary

- java.lang.Object
- - org.apache.sysds.hops.codegen.cplan.CNode
  - - org.apache.sysds.hops.codegen.cplan.CNodeTernary

-     public class CNodeTernary
      extends CNode

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CNodeTernary.TernaryType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CNodeTernary​(CNode in1, CNode in2, CNode in3, CNodeTernary.TernaryType type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `codegen​(boolean sparse, SpoofCompiler.GeneratorAPI api)` |
    `boolean` | `equals​(Object o)` |
    `CNodeTernary.TernaryType` | `getType()` |
    `int` | `hashCode()` |
    `boolean` | `isSupported​(SpoofCompiler.GeneratorAPI api)` |
    `void` | `setOutputDims()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.sysds.hops.codegen.cplan.CNode

      `createVarname, getClassname, getDataType, getID, getInput, getNumCols, getNumRows, getOutput, getVarname, getVarname, getVectorLength, isGenerated, isLiteral, isVisited, resetGenerated, resetHash, resetVisitStatus, setDataType, setLiteral, setNumCols, setNumRows, setOutput, setVarName, setVisited, setVisited`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CNodeTernary

          public CNodeTernary​(CNode in1,
                              CNode in2,
                              CNode in3,
                              CNodeTernary.TernaryType type)

  - ### Method Detail

    - #### getType

          public CNodeTernary.TernaryType getType()

    - #### codegen

          public String codegen​(boolean sparse,
                                SpoofCompiler.GeneratorAPI api)

      Specified by:
        `codegen` in class `CNode`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setOutputDims

          public void setOutputDims()

      Specified by:
        `setOutputDims` in class `CNode`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `CNode`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `CNode`

    - #### isSupported

          public boolean isSupported​(SpoofCompiler.GeneratorAPI api)

      Specified by:
        `isSupported` in class `CNode`